#pragma once

#include <iostream>
using namespace std;

class CMatrix
{
public:
	CMatrix(void);
	virtual ~CMatrix(void);
	
	virtual void setSize(int size);
	float& operator()(int row, int column);

	void add(CMatrix&);
	void operator+=(CMatrix&);

	friend ostream& operator<<(ostream&, CMatrix&);

protected:
	int     size;
	float** data;
};
