// Tutorial 2, Matrix class

#include <iostream>
using namespace std;

#include "Matrix2.h"

void doTest(CMatrix& m1, CMatrix& m2)
{
	cout << "Set size of m1" << endl;
	m1.setSize(2);
	cout << m1 << endl;

	cout << "Set values of m1" << endl;
	m1(0,0) = 0; m1(0,1) = 1; 
	m1(1,0) = 2; m1(1,1) = 3;
	cout << m1 << endl;

	cout << "Element at (1,1) = " << m1(1, 1) << endl;
	cout << endl;

	cout << "Set size and values of m2" << endl;
	m2.setSize(2);
	m2(0,0) = 10; m2(0,1) = 11;
	m2(1,0) = 12; m2(1,1) = 13;
	cout << m2 << endl;

	cout << "Add m1 and m2" << endl;
	// m1.add(m2);
	m1 += m2;
	cout << m1 << endl;
}

int main(int argc, char* argv)
{
	CMatrix m1;
	CMatrix m2;

	// try with this
	// CMatrix2 m1;
	// CMatrix2 m2;

	doTest(m1, m2);
}